  // глобальная валидация ip-адресов
function checkIpStr (string) {
  // удаляем лишние символы
  let regexp = /[^\d.:]/g
  if (regexp.test(string)) { string = string.replace(regexp, '') }

  // спецсимволы не могут повторяться
  regexp = /[.:]{2,}/g
  if (regexp.test(string)) { string = string.replace(regexp, '') }

  return string
}

function isValidIp(string) {
  let regIp = /^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){1}(\:\d{1,6})*$/g
  return regIp.test(string)
}
